---
lang: en
title: 'API docs: rest-explorer.restexplorercomponent._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest-explorer.restexplorercomponent._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-explorer](./rest-explorer.md) &gt; [RestExplorerComponent](./rest-explorer.restexplorercomponent.md) &gt; [(constructor)](./rest-explorer.restexplorercomponent._constructor_.md)

## RestExplorerComponent._constructor_

Constructs a new instance of the `RestExplorerComponent` class

<b>Signature:</b>

```typescript
constructor(application: RestApplication, config?: RestExplorerConfig);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  application | <code>RestApplication</code> |  |
|  config | <code>RestExplorerConfig</code> |  |


